Memcached::get
Memcached::getByKey
Memcached
PHP Manual

# Memcached::getAllKeys

(PECL memcached >= 2.0.0)

Memcached::getAllKeys — Gets the keys stored on all the servers

### Description

public array Memcached::getAllKeys ( void )

Memcached::getAllKeys() queries each memcache server and retrieves an array of all keys stored on them at that point in time. This is not an atomic operation, so it isn't a truly consistent snapshot of the keys at point in time. As memcache doesn't guarantee to return all keys you also cannot assume that all keys have been returned.

### Parameters

This function has no parameters.

### Return Values

Returns the keys stored on all the servers on success or `FALSE` on failure.

Memcached::get
Memcached::getByKey
Memcached
PHP Manual